pappso::FilterMorphoMax Class Reference

transform the trace into its maximum over a window More...

`#include <filtermorpho.h>`

Inheritance diagram for pappso::FilterMorphoMax:

## Public Member Functions

| FilterMorphoMax (std::size_t half_window_size)
| FilterMorphoMax (const FilterMorphoMax &other)
virtual | ~FilterMorphoMax ()
FilterMorphoMax & | operator= (const FilterMorphoMax &other)
double | getWindowValue (std::vector< DataPoint >::const_iterator begin, std::vector< DataPoint >::const_iterator end) const override
std::size_t | getMaxHalfEdgeWindows () const
Public Member Functions inherited from pappso::FilterMorphoWindowBase
| FilterMorphoWindowBase (std::size_t half_window_size)
| FilterMorphoWindowBase (const FilterMorphoWindowBase &other)
virtual | ~FilterMorphoWindowBase ()
FilterMorphoWindowBase & | operator= (const FilterMorphoWindowBase &other)
virtual Trace & | filter (Trace &data_points) const override
virtual std::size_t | getHalfWindowSize () const
Public Member Functions inherited from pappso::FilterInterface
virtual | ~FilterInterface ()

## Additional Inherited Members

Protected Attributes inherited from pappso::FilterMorphoWindowBase
std::size_t | m_halfWindowSize = 0

## Detailed Description

transform the trace into its maximum over a window

Definition at line 80 of file filtermorpho.h.

## Constructor & Destructor Documentation

## FilterMorphoMax() [1/2]

FilterMorphoMax::FilterMorphoMax | ( | std::size_t | half_window_size | ) |

Definition at line 144 of file filtermorpho.cpp.

: FilterMorphoWindowBase(half_window_size)
{
}
pappso::FilterMorphoWindowBase::FilterMorphoWindowBase
FilterMorphoWindowBase(std::size_t half_window_size)
Definition: filtermorpho.cpp:36

## FilterMorphoMax() [2/2]

FilterMorphoMax::FilterMorphoMax | ( | const FilterMorphoMax & | other | ) |

Definition at line 148 of file filtermorpho.cpp.

: FilterMorphoWindowBase(other.m_halfWindowSize)
{
}
pappso::FilterMorphoWindowBase::m_halfWindowSize
std::size_t m_halfWindowSize
Definition: filtermorpho.h:43

## ~FilterMorphoMax()

virtual pappso::FilterMorphoMax::~FilterMorphoMax | ( |  | ) |

inline virtual

Definition at line 86 of file filtermorpho.h.

{};

## Member Function Documentation

## getMaxHalfEdgeWindows()

std::size_t FilterMorphoMax::getMaxHalfEdgeWindows | ( |  | ) | const

Definition at line 172 of file filtermorpho.cpp.

{
return m_halfWindowSize;
}

References pappso::FilterMorphoWindowBase::m_halfWindowSize.

## getWindowValue()

double FilterMorphoMax::getWindowValue | ( | std::vector< DataPoint >::const_iterator | begin,
|  | std::vector< DataPoint >::const_iterator | end
| ) |  | const

override virtual

Implements pappso::FilterMorphoWindowBase.

Definition at line 162 of file filtermorpho.cpp.

{
// qDebug() << __FILE__ << " " << __FUNCTION__ << " " << __LINE__;
return maxYDataPoint(begin, end)->y;
}
pappso::maxYDataPoint
std::vector< DataPoint >::const_iterator maxYDataPoint(std::vector< DataPoint >::const_iterator begin, std::vector< DataPoint >::const_iterator end)
Definition: trace.cpp:139

References pappso::maxYDataPoint().

## operator=()

FilterMorphoMax & FilterMorphoMax::operator= | ( | const FilterMorphoMax & | other | ) |

Definition at line 154 of file filtermorpho.cpp.

{
m_halfWindowSize = other.m_halfWindowSize;
return *this;
}

References pappso::FilterMorphoWindowBase::m_halfWindowSize.

The documentation for this class was generated from the following files:

- pappsomspp/processing/filters/filtermorpho.h
- pappsomspp/processing/filters/filtermorpho.cpp